org.springframework.util

## Class AutoPopulatingList.ElementInstantiationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.util.AutoPopulatingList.ElementInstantiationException

All Implemented Interfaces:
  Serializable

Enclosing class:
  AutoPopulatingList<E>

    public static class AutoPopulatingList.ElementInstantiationException
    extends RuntimeException

Exception to be thrown from ElementFactory.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AutoPopulatingList.ElementInstantiationException(String msg)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AutoPopulatingList.ElementInstantiationException

    public AutoPopulatingList.ElementInstantiationException(String msg)